texlive[57906] branches/branch2020.0/Master/tlpkg/bin: c2b on branch

commits+karl at tug.org commits+karl at tug.org
Thu Feb 25 17:49:43 CET 2021


Revision: 57906
          http://tug.org/svn/texlive?view=revision&revision=57906
Author:   karl
Date:     2021-02-25 17:49:43 +0100 (Thu, 25 Feb 2021)
Log Message:
-----------
c2b on branch

Modified Paths:
--------------
    branches/branch2020.0/Master/tlpkg/bin/c2l

Added Paths:
-----------
    branches/branch2020.0/Master/tlpkg/bin/c2b

Added: branches/branch2020.0/Master/tlpkg/bin/c2b
===================================================================
--- branches/branch2020.0/Master/tlpkg/bin/c2b	                        (rev 0)
+++ branches/branch2020.0/Master/tlpkg/bin/c2b	2021-02-25 16:49:43 UTC (rev 57906)
@@ -0,0 +1,9 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written by Karl Berry, 2021.
+# c2b - run c2l but inside /home/texlive/branch.
+
+PATH=`echo $PATH | sed -e s,karl/Master,branch/Master,g -e 's,^\.:,,'`
+
+cd $HOME || exit 1
+exec c2l "$@"


Property changes on: branches/branch2020.0/Master/tlpkg/bin/c2b
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Date Author Id Revision
\ No newline at end of property
Modified: branches/branch2020.0/Master/tlpkg/bin/c2l
===================================================================
--- branches/branch2020.0/Master/tlpkg/bin/c2l	2021-02-25 15:07:38 UTC (rev 57905)
+++ branches/branch2020.0/Master/tlpkg/bin/c2l	2021-02-25 16:49:43 UTC (rev 57906)
@@ -5,13 +5,19 @@
 # Convenience front-end script to run ctan2tl. It rearranges the output
 # so error messages come first, then the list of changed files. Also
 # accepts platform abbreviations to run tl-update-bindir, etc. Don't
-# take it too seriously; it surely need generalizing for use by anyone
-# else. Uses various personal environment variables, etc.
+# take it too seriously; it surely needs generalizing.
 
+use Cwd;
+use File::Basename;
+
 $| = 1;
 exit (&main ());
 
 sub main {
+  my $real0 = Cwd::abs_path ($0);
+  my $scriptdir = File::Basename::dirname ($real0);   # .../Master/tlpkg/bin
+  my $TLROOT = Cwd::abs_path ("$scriptdir/../../.."); # ...
+
   # platform abbrev
   my $arg = $ARGV[0];
   if ($arg eq "asy") {
@@ -79,7 +85,7 @@
     exit 0;
   }
   
-  if (-d "$ENV{xb}/$arg") {
+  if (-d "$TLROOT/Master/bin/$arg") {
     print ("tl-update-bindir $arg\n");
     exec ("tl-update-bindir", $arg);
   }
@@ -92,8 +98,8 @@
   my @lines = `set -o pipefail; ctan2tl @ARGV </dev/null 2>&1 | tee /tmp/cl.out`;
   my $status = $?;
 
-  -d "$ENV{B}/tmp.cooked"
-  && system ("cp /tmp/cl.out $ENV{B}/tmp.cooked/$ARGV[$#ARGV].out");
+  my $cooked = "$TLROOT/Build/tmp.cooked";
+  -d $cooked && system ("cp /tmp/cl.out $cooked/$ARGV[$#ARGV].out");
   
   # *** and other notable messages.
   my @msgs = grep { /^\*\*\*.* \S/



More information about the tex-live-commits mailing list.